An ASP.NET setting has been detected that does not apply in Integrated managed pipeline mode.

Polachan Paily 226 Reputation points
2021-06-25T15:49:15.2+00:00

I was running VS 2017 and today I installed VS2019 and after dotnet version changed from 2.1 into 5.0.301. Currently this machine has 2017 and 2019 version. Also I have had created a project in 3.1 . When I run the project in VS 2019 , it brings the error 'An ASP.NET setting has been detected that does not apply in Integrated managed pipeline mode', But the same project in another machine having VS 2019 would work without any error. I wonder why would this project not working in this machine. ?

Please can you some one help me how to resolve the issue.

Regards
Pol

ASP.NET Core
ASP.NET Core
A set of technologies in the .NET Framework for building web applications and XML web services.
4,396 questions
{count} vote

1 answer

Sort by: Most helpful
  1. Bruce (SqlWork.com) 61,491 Reputation points
    2024-06-26T15:29:29.7466667+00:00

    IIS express use the integrated pipeline by default, but can be configured to use classic pipeline. Google for instructions for your version of iis express.

    note: older versions of visual studio allowed setting this in the project web settings dialog.

    0 comments No comments